Skip to content

Video Extend

Extend a segment from an existing Grok video task.

http
POST /v1/videos/video_abc123/extend

Available models

Headers

NameTypeRequiredDescription
stringYesRequest authentication. Use a Bearer Token, for example: .
stringYesRequest content type. Must be set to .

Request parameters

NameTypeRequiredDescription
stringYesSource video task ID.

Request body

NameTypeRequiredDescription
stringYesModel name. See Available models above.
stringYesPrompt for the extended segment.
array<string>NoList of reference image URLs to add visual constraints as needed.
stringNoResolution tier: or . Apifox examples also use ; prefer uppercase .
stringNoAspect ratio; Apifox examples use values such as .
integerNoSecond in the source video to start extending from.
booleanNoWhether to apply HD upscale to the output.

Request example

bash
curl -X POST https://octopusx.ai/v1/videos/grok:48a67431-0708-46d1-9ab9-83cb84700153/extend \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '
{
  "model": "grok-video-3",
  "prompt": "play with another white cat",
  "aspect_ratio": "3:2",
  "start_time": 4,
  "size": "1080P",
  "upscale": true
}'

Response example

json
{
  "id": "grok:48a67431-0708-46d1-9ab9-83cb84700153",
  "status": "processing",
  "status_update_time": 1762685256
}

Response fields

NameTypeDescription
stringNew extend task ID.
stringTask status. Common values include ,,.
integerLast status update time (Unix timestamp).